WindowsMenuBarUI (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.windows

## Class WindowsMenuBarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.MenuBarUI
    - - javax.swing.plaf.basic.BasicMenuBarUI
      - - com.sun.java.swing.plaf.windows.WindowsMenuBarUI
        - - com.jgoodies.looks.windows.WindowsMenuBarUI

-     public final class WindowsMenuBarUI
      extends com.sun.java.swing.plaf.windows.WindowsMenuBarUI

  The JGoodies Windows look and feel implemenation of `MenuBarUI`.

  Can handle optional `Border` types as specified by the `BorderStyle` or `HeaderStyle` client properties.

  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicMenuBarUI

      `changeListener, containerListener, menuBar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsMenuBarUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)`
    `protected void` | `installDefaults()`
    `protected void` | `installListeners()`
    `protected void` | `uninstallListeners()`

    - ### Methods inherited from class com.sun.java.swing.plaf.windows.WindowsMenuBarUI

      `installKeyboardActions, paint`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicMenuBarUI

      `createChangeListener, createContainerListener, getMaximumSize, getMinimumSize, installUI, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getPreferredSize, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsMenuBarUI

          public WindowsMenuBarUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### installDefaults

          protected void installDefaults()

      Overrides:
        `installDefaults` in class `BasicMenuBarUI`

    - #### installListeners

          protected void installListeners()

      Overrides:
        `installListeners` in class `com.sun.java.swing.plaf.windows.WindowsMenuBarUI`

    - #### uninstallListeners

          protected void uninstallListeners()

      Overrides:
        `uninstallListeners` in class `com.sun.java.swing.plaf.windows.WindowsMenuBarUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.